
QGIS Application - Bug report #18070

crash upon exit/qnetworkconfiguration destructor

2018-02-10 10:50 AM - landry Landry Breuil

Status: Closed

Priority: Normal

Assignee:

Category: Network

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 25966

Description

Since a while, i get crashes/segfaults upon exit, and they're fully reproducible now:

#0  0x00000369644ca427 in QNetworkConfiguration::~QNetworkConfiguration () from /usr/local/lib/qt5/./libQt5Network.so.2.2

#1  0x00000369644cecec in QThreadStorage<QSharedNetworkSessionManager*>::deleteData () from

/usr/local/lib/qt5/./libQt5Network.so.2.2

#2  0x000003699d257a63 in QThreadStorageData::finish () from /usr/local/lib/qt5/./libQt5Core.so.2.2

#3  0x000003699d426c16 in QCoreApplicationPrivate::cleanupThreadData () from /usr/local/lib/qt5/./libQt5Core.so.2.2

#4  0x000003692902c8d2 in QGuiApplicationPrivate::~QGuiApplicationPrivate () from /usr/local/lib/qt5/./libQt5Gui.so.2.2

#5  0x00000369918c0b8f in QApplicationPrivate::~QApplicationPrivate () from /usr/local/lib/qt5/./libQt5Widgets.so.2.2

#6  0x000003699d454652 in QObject::~QObject () from /usr/local/lib/qt5/./libQt5Core.so.2.2

#7  0x00000369918c2903 in QApplication::~QApplication () from /usr/local/lib/qt5/./libQt5Widgets.so.2.2

This is with master as of yesterday, qt 5.9.4, on OpenBSD. Just opening qgis, and exiting. Strange that the trace appeas to be only in Qt,

i don't know what qgis codepaths lead to this

History

#1 - 2018-10-26 08:28 AM - Loïc BARTOLETTI

- Status changed from Open to Feedback

Hi Landry,

Do you still have this issue?

#2 - 2018-10-26 10:37 AM - landry Landry Breuil

3.2.3 seems fine :)

#3 - 2018-10-26 10:41 AM - landry Landry Breuil

Guess i spoke too fast.. not 100% reproducible, but in this session i only opened a file open dialog then exited qgis.

(gdb) bt

#0  0x000019ea0c4cc6ae in QNetworkConfiguration::~QNetworkConfiguration () from /usr/local/lib/qt5/./libQt5Network.so.2.2

#1  0x000019ea0c4d1590 in QThreadStorage<QSharedNetworkSessionManager*>::deleteData () from /usr/local/lib/qt5/./libQt5Network.so.2.2

2024-04-26 1/2



#2  0x000019e988cc5966 in QThreadStorageData::finish () from /usr/local/lib/qt5/./libQt5Core.so.2.2

#3  0x000019e988eb7fb8 in QCoreApplicationPrivate::cleanupThreadData () from /usr/local/lib/qt5/./libQt5Core.so.2.2

#4  0x000019e9e27cb1d3 in QGuiApplicationPrivate::~QGuiApplicationPrivate () from /usr/local/lib/qt5/./libQt5Gui.so.2.2

#5  0x000019e9d582769f in QApplicationPrivate::~QApplicationPrivate () from /usr/local/lib/qt5/./libQt5Widgets.so.2.2

#6  0x000019e988ee9f9d in QObject::~QObject () from /usr/local/lib/qt5/./libQt5Core.so.2.2

#7  0x000019e9d58293fe in QApplication::~QApplication () from /usr/local/lib/qt5/./libQt5Widgets.so.2.2

#8  0x000019e7839083dc in main () from /usr/local/bin/qgis

#4 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

2024-04-26 2/2


